org.keycloak.storage.ldap.idm.model

## Class LDAPObject

- java.lang.Object
- - org.keycloak.storage.ldap.idm.model.LDAPObject

-     public class LDAPObject
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRangedAttribute(String name, int max)`
    `void` | `addRdnAttributeName(String rdnAttributeName)`
    `void` | `addReadOnlyAttributeName(String readOnlyAttribute)`
    `boolean` | `equals(Object obj)`
    `Set<String>` | `getAttributeAsSet(String name)`
    `String` | `getAttributeAsString(String name)`
    `Map<String,Set<String>>` | `getAttributes()`
    `int` | `getCurrentRange(String name)`
    `LDAPDn` | `getDn()`
    `List<String>` | `getObjectClasses()`
    `List<String>` | `getRdnAttributeNames()`
    `List<String>` | `getReadOnlyAttributeNames()`
    `String` | `getUuid()`
    `int` | `hashCode()`
    `boolean` | `isRangeComplete(String name)`
    `boolean` | `isRangeCompleteForAllAttributes()`
    `void` | `populateRangedAttribute(LDAPObject obj, String name)`
    `void` | `removeReadOnlyAttributeName(String readOnlyAttribute)`
    `void` | `setAttribute(String attributeName, Set<String> attributeValue)`
    `void` | `setDn(LDAPDn dn)`
    `void` | `setObjectClasses(Collection<String> objectClasses)`
    `void` | `setRdnAttributeName(String rdnAttributeName)` Useful when single value will be used as the "RDN" attribute.
    `void` | `setRdnAttributeNames(List<String> rdnAttributeNames)`
    `void` | `setSingleAttribute(String attributeName, String attributeValue)`
    `void` | `setUuid(String uuid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPObject

          public LDAPObject()

  - ### Method Detail

    - #### getUuid

          public String getUuid()

    - #### setUuid

          public void setUuid(String uuid)

    - #### getDn

          public LDAPDn getDn()

    - #### setDn

          public void setDn(LDAPDn dn)

    - #### getObjectClasses

          public List<String> getObjectClasses()

    - #### setObjectClasses

          public void setObjectClasses(Collection<String> objectClasses)

    - #### getReadOnlyAttributeNames

          public List<String> getReadOnlyAttributeNames()

    - #### addReadOnlyAttributeName

          public void addReadOnlyAttributeName(String readOnlyAttribute)

    - #### removeReadOnlyAttributeName

          public void removeReadOnlyAttributeName(String readOnlyAttribute)

    - #### getRdnAttributeNames

          public List<String> getRdnAttributeNames()

    - #### setRdnAttributeName

          public void setRdnAttributeName(String rdnAttributeName)

      Useful when single value will be used as the "RDN" attribute. Which will be most of the cases

    - #### setRdnAttributeNames

          public void setRdnAttributeNames(List<String> rdnAttributeNames)

    - #### addRdnAttributeName

          public void addRdnAttributeName(String rdnAttributeName)

    - #### setSingleAttribute

          public void setSingleAttribute(String attributeName,
                                         String attributeValue)

    - #### setAttribute

          public void setAttribute(String attributeName,
                                   Set<String> attributeValue)

    - #### getAttributeAsString

          public String getAttributeAsString(String name)

    - #### getAttributeAsSet

          public Set<String> getAttributeAsSet(String name)

    - #### isRangeComplete

          public boolean isRangeComplete(String name)

    - #### getCurrentRange

          public int getCurrentRange(String name)

    - #### isRangeCompleteForAllAttributes

          public boolean isRangeCompleteForAllAttributes()

    - #### addRangedAttribute

          public void addRangedAttribute(String name,
                                         int max)

    - #### populateRangedAttribute

          public void populateRangedAttribute(LDAPObject obj,
                                              String name)

    - #### getAttributes

          public Map<String,Set<String>> getAttributes()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.